[dia: 69/105] #19: exports_test.sh: Check for missing output file.
- From: Zander <zbrown src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [dia: 69/105] #19: exports_test.sh: Check for missing output file.
- Date: Mon, 28 Jan 2019 19:25:08 +0000 (UTC)
commit 7cb1a06e42879514019edcc679d405d1fef01ea6
Author: Eduard Nicodei <eddnicodei gmail com>
Date: Sun Jan 6 23:05:24 2019 +0000
#19: exports_test.sh: Check for missing output file.
tests/exports/exports_test.sh | 4 ++++
1 file changed, 4 insertions(+)
---
diff --git a/tests/exports/exports_test.sh b/tests/exports/exports_test.sh
index e7fd6807..5b89d778 100755
--- a/tests/exports/exports_test.sh
+++ b/tests/exports/exports_test.sh
@@ -20,6 +20,10 @@ for FILTER in ${EXPORT_PLUGINS}; do
echo ${FILTER} failed for ${FILE};
rm -r ${TEMP_DIR}
exit 1
+ elif [ ! -f ${OUTPUT} ]; then
+ echo Unable to find output file ${OUTPUT}
+ rm -r ${TEMP_DIR}
+ exit 2
elif ! diff -q ${OUTPUT} ${EXPECTED_OUTPUT}; then
echo "FAILED: ${FILTER} output different from expected for ${FILE}"
#TODO: currently this fails almost all testcases. Why?
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]